Execution Control [DEPRECATED](3)

NAME
Execution Control [DEPRECATED] -

  Functions

cudaError_t cudaConfigureCall (dim3 gridDim, dim3 blockDim, size_t sharedMem=0, cudaStream_t stream=0)
Configure a device-launch.
cudaError_t cudaLaunch (const void *func)
Launches a device function.
cudaError_t cudaSetupArgument (const void *arg, size_t size, size_t offset)
Configure a device launch.

Detailed Description

\brief deprecated execution control functions of the CUDA runtime API (cuda_runtime_api.h)

This section describes the deprecated execution control functions of the CUDA runtime application programming interface.

Some functions have overloaded C++ API template versions documented separately in the C++ API Routines module.

Function Documentation

  cudaError_t cudaConfigureCall (dim3 gridDim, dim3 blockDim, size_t sharedMem = 0, cudaStream_t stream = 0)

Deprecated
    This function is deprecated as of CUDA 7.0

Specifies the grid and block dimensions for the device call to be executed similar to the execution configuration syntax. cudaConfigureCall() is stack based. Each call pushes data on top of an execution stack. This data contains the dimension for the grid and thread blocks, together with any arguments for the call.

Parameters:
    gridDim - Grid dimensions
    blockDim - Block dimensions
    sharedMem - Shared memory
    stream - Stream identifier

Returns:
    cudaSuccess, cudaErrorInvalidConfiguration

Note:
    This function uses standard semantics.

    Note that this function may also return error codes from previous, asynchronous launches.

cudaLaunchKernel (C API), cudaFuncSetCacheConfig (C API), cudaFuncGetAttributes (C API), cudaLaunch (C API), cudaSetDoubleForDevice, cudaSetDoubleForHost, cudaSetupArgument (C API),

  cudaError_t cudaLaunch (const void * func)

Deprecated
    This function is deprecated as of CUDA 7.0

Launches the function func on the device. The parameter func must be a device function symbol. The parameter specified by func must be declared as a __global__ function. cudaLaunch() must be preceded by a call to cudaConfigureCall() since it pops the data that was pushed by cudaConfigureCall() from the execution stack.

Parameters:
    func - Device function symbol

Returns:
    cudaSuccess, cudaErrorInvalidDeviceFunction, cudaErrorInvalidConfiguration, cudaErrorLaunchFailure, cudaErrorLaunchTimeout, cudaErrorLaunchOutOfResources, cudaErrorSharedObjectInitFailed

Note:
    Note that this function may also return error codes from previous, asynchronous launches.

    Use of a string naming a variable as the symbol paramater was removed in CUDA 5.0.

cudaLaunchKernel (C API), cudaFuncSetCacheConfig (C API), cudaFuncGetAttributes (C API), cudaLaunch (C++ API), cudaSetDoubleForDevice, cudaSetDoubleForHost, cudaSetupArgument (C API), cudaThreadGetCacheConfig, cudaThreadSetCacheConfig

  cudaError_t cudaSetupArgument (const void * arg, size_t size, size_t offset)

Deprecated
    This function is deprecated as of CUDA 7.0

Pushes size bytes of the argument pointed to by arg at offset bytes from the start of the parameter passing area, which starts at offset 0. The arguments are stored in the top of the execution stack. cudaSetupArgument() must be preceded by a call to cudaConfigureCall().

Parameters:
    arg - Argument to push for a kernel launch
    size - Size of argument
    offset - Offset in argument stack to push new arg

Returns:
    cudaSuccess

Note:
    Note that this function may also return error codes from previous, asynchronous launches.

cudaLaunchKernel (C API), cudaFuncSetCacheConfig (C API), cudaFuncGetAttributes (C API), cudaLaunch (C API), cudaSetDoubleForDevice, cudaSetDoubleForHost, cudaSetupArgument (C++ API),

Author

Generated automatically by Doxygen from the source code.